Page MenuHomePhabricator

Opening link in tab causes jump back to section
Closed, ResolvedPublic

Description

Go to any page on tablet e.g. http://en.m.wikipedia.org/wiki/Hangzhou
Click a link in the table of contents e.g. Arts
Scroll down to the next section and click a link in the section, opening it in a new tab.
I am jumped back to the top of the Arts section.

Tested in Opera but suspect it is on other browsers.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterTweak toggle behaviour

Event Timeline

Jdlrobson created this task.Dec 1 2014, 1:56 AM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson changed Security from none to None.
Jdlrobson added a subscriber: Jdlrobson.
KLans_WMF triaged this task as Medium priority.Dec 1 2014, 6:51 PM

@Jdlrobson, are you jumped back to the top of the Arts section in the current tab or the new tab? And "a link in the section" is an external or internal link? I can't reproduce on Mac/Chrome

phuedx added a subscriber: phuedx.Dec 3 2014, 2:33 PM

@Jdlrobson Like @bmansurov, I can't reproduce this. I've tried with iOS 7/8 devices and Opera Mobile on Samsung Galaxy (all on BrowserStack) and haven't seen this behaviour.

Could you add device, OS, and browser information to the task?

Can replicate it in Chrome and Opera on my desktop Mac.

Effects stable and beta.
Seems to only happen when I hold down Command key and click (Not using context menu)

Change 177885 had a related patch set uploaded (by Jdlrobson):
Tweak toggle behaviour

https://gerrit.wikimedia.org/r/177885

Patch-For-Review

Change 177885 merged by jenkins-bot:
Tweak toggle behaviour

https://gerrit.wikimedia.org/r/177885

phuedx closed this task as Resolved.Dec 8 2014, 4:23 PM
phuedx claimed this task.